Bug 1464924 - [RFE] Expose the provider disable option in the UI
Summary: [RFE] Expose the provider disable option in the UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: GA
: 5.9.0
Assignee: Ari Zellner
QA Contact: brahmani
URL:
Whiteboard: container
Depends On:
Blocks: 1532443
TreeView+ depends on / blocked
 
Reported: 2017-06-26 09:00 UTC by Ari Zellner
Modified: 2018-07-08 12:43 UTC (History)
12 users (show)

Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-01 13:13:38 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0380 normal SHIPPED_LIVE Moderate: Red Hat CloudForms security, bug fix, and enhancement update 2018-03-01 18:37:12 UTC

Description Ari Zellner 2017-06-26 09:00:28 UTC
Description of problem:
Provider disable was introduced for https://bugzilla.redhat.com/show_bug.cgi?id=1437549 to solve another problem. 
When you disable a provider, the workers associated with that provider are not permitted to run. This includes metrics capture, inventory refresh, events and other jobs grabbed by workers. So the provider exists in the DB but the system does not do work for it.
We can use this feature to add many 'work heavy' providers to a running instance but only enable the providers we would like to collect data for at a certain time.

Currently, the system only disables providers before deleting them but we can expose this feature to customers through the UI.

We have to consider that a customer might disable a provider to ease the work load on their system but in the time the provider is disabled we do not collect data for that provider. This might result in data gaps such as missing metrics or events that should have been collected while the provider was disabled.

Comment 2 Ari Zellner 2017-07-30 11:54:43 UTC
Upstream PR: https://github.com/ManageIQ/manageiq-ui-classic/pull/1663

Comment 3 Ari Zellner 2017-08-17 15:32:59 UTC
Followup PR: https://github.com/ManageIQ/manageiq-ui-classic/pull/1950

Comment 5 Pavel Zagalsky 2017-10-30 15:44:19 UTC
After pausing the Containers Provider I see a couple of Collectors still running.
Here are their details:
Name: C&U Metrics Collector for OpenShift
URI: openshift
They still demand some memory usage and CPU.
Is this a normal behaviour?

Comment 6 Jaroslav Henner 2017-11-28 14:23:12 UTC
I just have some questions here because I am not sure what is the target here.
 * Which system is loaded by the metrcis collecion? CFME or the provider?
 * Is it not better to just work on getting the collection more lightweight?
 * What is the expected behaviour when there are missing data points? How it is displayed? How it affects averages, maxs, counters?

In general I am quite suspicious about this feature as you can see.

Comment 7 Jaroslav Henner 2017-11-28 14:26:49 UTC
I also do not like the nomenclature here. "Disabled provider" means that it is not working. What about "disconnected"?

Comment 8 Jaroslav Henner 2017-11-28 14:37:57 UTC
(In reply to Jaroslav Henner from comment #7)
> I also do not like the nomenclature here. "Disabled provider" means that it
> is not working. What about "disconnected"?

I've read part of the discussion about Github PR 1664 about the nomenclature. The image is not enough. When we were talking about this feature on meeting I was confused what Pavel Zagalsky was testing -- disabling a provider? What? How? 

"Disconnected" describes it much better which is important when two colleagues are talking to each other. No one draws icons when talking to other people.

Comment 9 Einat Pacifici 2017-11-30 10:39:35 UTC
Moving this back to Verified. Jaroslav, if needed, please open a new BZ with your comments. This specific RFE has been tested and verified.

Comment 12 errata-xmlrpc 2018-03-01 13:13:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0380


Note You need to log in before you can comment on or make changes to this bug.